GreatWksDBParserInternal::Field Struct Reference documentation

GreatWksDBParserInternal::Field Struct Reference

a field of a GreatWksDBParser More...

## Public Types
enum | Type { F_Unknown , F_Text , F_Number , F_Date , F_Time , F_Memo , F_Picture , F_Formula , F_Summary }
| the file type More...

## Public Member Functions
| Field ()
| constructor
bool | updateCell (int row, int numRow, Cell &cell) const
| update the cell to correspond to the final data

## Public Attributes
Type | m_type
| the field type
int | m_id
| the field id
std::string | m_name
| the field name
MWAWCell::Format | m_format
| the field format
long | m_linkZone
| the file position which stores the position link to record zone
BlockHeader | m_recordBlock
| the block file position which stores the position of the field's record
std::vector< MWAWCellContent::FormulaInstruction > | m_formula
| the formula
int | m_summaryType
| the summary type: 1:average, 2:count, 3:total, 4:minimum, 5:maximum
int | m_summaryField
| the summary field
bool | m_isSequence
| true if the number is a sequence
int | m_firstNumber
| the first number (in case of progression sequence)
int | m_incrementNumber
| the increment number (in case of progression sequence)
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<<

## Detailed Description

a field of a GreatWksDBParser

## Member Enumeration Documentation

## ◆ Type

enum GreatWksDBParserInternal::Field::Type

the file type

Enumerator
F_Unknown |
F_Text |
F_Number |
F_Date |
F_Time |
F_Memo |
F_Picture |
F_Formula |
F_Summary |

## Constructor & Destructor Documentation

## ◆ Field()

GreatWksDBParserInternal::Field::Field | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ updateCell()

bool GreatWksDBParserInternal::Field::updateCell | ( | int | row,
|  | int | numRow,
|  | Cell & | cell ) const

update the cell to correspond to the final data

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Field const & | field )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string GreatWksDBParserInternal::Field::m_extra

extra data

Referenced by Field(), operator<<, and GreatWksDBParser::readField().

## ◆ m_firstNumber

int GreatWksDBParserInternal::Field::m_firstNumber

the first number (in case of progression sequence)

Referenced by Field(), and updateCell().

## ◆ m_format

MWAWCell::Format GreatWksDBParserInternal::Field::m_format

the field format

Referenced by Field(), GreatWksDBParser::readField(), and GreatWksDBParser::readFieldRecords().

## ◆ m_formula

std::vector<MWAWCellContent::FormulaInstruction> GreatWksDBParserInternal::Field::m_formula

the formula

Referenced by Field(), and updateCell().

## ◆ m_id

int GreatWksDBParserInternal::Field::m_id

the field id

Referenced by Field(), operator<<, GreatWksDBParser::readField(), GreatWksDBParser::readFieldLinks(), and GreatWksDBParser::readFieldRecords().

## ◆ m_incrementNumber

int GreatWksDBParserInternal::Field::m_incrementNumber

the increment number (in case of progression sequence)

Referenced by Field(), and updateCell().

## ◆ m_isSequence

bool GreatWksDBParserInternal::Field::m_isSequence

true if the number is a sequence

Referenced by Field(), and updateCell().

## ◆ m_linkZone

long GreatWksDBParserInternal::Field::m_linkZone

the file position which stores the position link to record zone

Referenced by Field(), operator<<, GreatWksDBParser::readField(), and GreatWksDBParser::readFieldLinks().

## ◆ m_name

std::string GreatWksDBParserInternal::Field::m_name

the field name

Referenced by Field(), operator<<, and GreatWksDBParser::readField().

## ◆ m_recordBlock

BlockHeader GreatWksDBParserInternal::Field::m_recordBlock

the block file position which stores the position of the field's record

Referenced by Field(), operator<<, GreatWksDBParser::readFieldLinks(), and GreatWksDBParser::readFieldRecords().

## ◆ m_summaryField

int GreatWksDBParserInternal::Field::m_summaryField

the summary field

Referenced by Field(), and updateCell().

## ◆ m_summaryType

int GreatWksDBParserInternal::Field::m_summaryType

the summary type: 1:average, 2:count, 3:total, 4:minimum, 5:maximum

Referenced by Field(), and updateCell().

## ◆ m_type

Type GreatWksDBParserInternal::Field::m_type

the field type

Referenced by Field(), operator<<, GreatWksDBParser::readField(), GreatWksDBParser::readFieldRecords(), and updateCell().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx